### Enumeration

# Qmi NasServiceDomainPreference

since: 1.0

#### Declaration

    enum Qmi.NasServiceDomainPreference

#### Description [src]

Service domain preference.

Available since: 1.0

#### Members

`QMI_NAS_SERVICE_DOMAIN_PREFERENCE_CS_ONLY`

  Circuit-switched only.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_SERVICE_DOMAIN_PREFERENCE_PS_ONLY`

  Packet-switched only.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_SERVICE_DOMAIN_PREFERENCE_CS_PS`

  Circuit-switched and packet-switched.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_SERVICE_DOMAIN_PREFERENCE_PS_ATTACH`

  Packet-switched attach.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_SERVICE_DOMAIN_PREFERENCE_PS_DETACH`

  Packet-switched dettach.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_nas_service_domain_preference_get_string

Gets the nickname string for the `QmiNasServiceDomainPreference` specified at `val`.

since: 1.0